!///////////////////////////////////////////////////////////////////
!//
!// typedef.f90
!//
!// A module containing type definitons for the variables needed
!!/ for a circle and a sphere
!//
!///////////////////////////////////////////////////////////////////
MODULE typedef
  IMPLICIT NONE
  !// Declare a derived data type for a circle with all the
  !// neccessary variables
  TYPE circle
    !// The radius of the circle
    REAL(KIND=8)                      :: radius
    !// the area of the circle
    REAL(KIND=8)                      :: area
    !// The circumference of the circle
    REAL(KIND=8)                      :: circumference
  END TYPE circle
  
  !// Declare a derived data type for a sphere with all the
  !// neccessary variables
  TYPE sphere
    !// The radius of the sphere
    REAL(KIND=8)                      :: radius
    !// the volume of the sphere
    REAL(KIND=8)                      :: volume
  END TYPE sphere

END MODULE typedef